MINOS - Support #24326

Migrating from SL 6 to SL 7
04/17/2020 02:04 PM - Thomas Carroll

Status: Resolved Start date: 04/17/2020
Priority: High Due date: 12/31/2020
Assignee: Arthur Kreymer % Done: 100%
Category: Estimated time: 100.00 hours
Target version:

Description

Related issues:
Related to MINOS - Support #24243: Minos FCRSG 2020 computing support request Closed 03/27/2020 04/13/2020

History

#1 - 04/17/2020 02:05 PM - Thomas Carroll
- Related to Support #24243: Minos FCRSG 2020 computing support request added

#2 - 04/17/2020 02:16 PM - Thomas Carroll
Requested 2 SL 7 interactive systems on 4/14/20 (see request RITM0956521).

Learned that we already have a test machine setup with SL 7 at minostestgpvm01. We will use this machine for tests before migrating and ignore the
request for 2 SL 7 systems for now.

Art - do we still need a "data handling" system?

#3 - 04/17/2020 05:09 PM - Arthur Kreymer

- Status changed from New to Assigned

Yes, we need to keep the monitoring processes on minos-data separate from regular users.

| think we can shut down minos-nearline, after we have moved any crons to minos-data.
| am looking to see what runs there now.

#4 - 05/09/2020 08:11 AM - Arthur Kreymer
- Estimated time set to 100.00 h

- % Done changed from 0 to 10

- Due date set to 10/01/2020

From: Kenneth Richard Herner <kherner@fnal.gov>
To: Arthur Kreymer <kreymerfnal@gmail.com>
Subject: SL7 test gpvms for Chips and MINOS
Date: Thu, 7 May 2020 17:55:27 +0000

Hi Art,

My apologies if you aren't the proper contact for this; let me know if there's someone else who is taking care of OS migration issues. Ed has been
setting up test gpvms for experiments that haven't started the SL6 -> SL7 migration process yet. For both Chips and MINOS there is a VM available
for SL7 testing now, chipstestgpvmO01 and minostestgpvmO01, respectively. Can you, by the end of May, log into these nodes and make sure that
things work as expected for you? Things to check might include

Submitting jobs if needed
Running analysis code
Building analysis code

There is one thing to note with SL7 machines: the /nashome areas are mounted via NFS4 for additional security. The practical impact of that is that
you need to have a Kerberos ticket in the gpvm to be able to access the home areas. The best way to do that is to be sure to get a forwardable ticket
via kinit -f before you log in. Another consequence of that is that shared accounts, such as production accounts, with home areas in the /nashome
area will not work in this way. Shared accounts with home areas in the /experiment/app areas will continue to work.

As | said, please test by the end of May and let me know if you see problems. We're planning to start migrating the remaining SL6 nodes on a rolling
basis in June and July, and we need to know if there are problems preventing that for any experiments. Thanks very much in advance and let me
know if you have questions!

Regards,

Ken

#5 - 05/14/2020 12:08 PM - Thomas Carroll

- Due date changed from 10/01/2020 to 06/01/2020

-Art, have you been able to verify that our cron jobs, and other regularly running scripts, etc. work on the SL7 test machine?
| am going to start working down the list of job submission testing, analysis code running, and building--in that order.

#6 - 05/14/2020 06:02 PM - Arthur Kreymer

| have not looked at the cron jobs recently, but can revive this work.
This was being done under https://cdcvs.fnal.gov/redmine/issues/22598

#7 - 07/08/2020 05:04 PM - Arthur Kreymer

- Status changed from Assigned to Accepted

We got mail last week offering SL7 upgrades 07/15.
| have removed non-minos elements, to keep it short
We discussed this at the 07/06 MAAM

From: Edward A Simmonds <esimm@fnal.gov>

To: cs-liaison <cs-liaison@fnal.gov>

Subject:  Reinstall interactive nodes with SL7 on July 15th
Date: Thu, 2 Jul 2020 14:12:43 +0000

Greetings CS Liaisons and others,
This email is long, so please read all the way to the bottom.

As you may already be aware, support for Scientific Linux 6 (SL6) ends in November.
We need to start moving all systems currently installed with SL6 to SL7,

and we cannot wait until November to do this,

as there are over 700 of these to move and the process is very tedious.

Just to be clear, there is no upgrade from SL6 to SL7

this is a full reinstall which will not preserve local user files.

Files in NFS-mounted areas (ex., /nashome, /experiment/app, /experiment/data)

will be unaffected.

In most cases this should be a non-issue,

as for interactive systems we require users to keep their data in NFS-mounted filesystems.

IMPORTANT NOTE: An upgrade will remove any 'user crons' from these systems,
so please warn your users to back up their crons
so they can restore them after the reinstalls.

Those receiving this email should have already been contacted about this.
Test SL7 nodes were provided to all of your respective experiments/groups as follows:

minostestgpvmO01

We would like to upgrade the 'regular' SL6 interactive nodes
related to these test systems to SL7 on July 15th.
That would include the following systems:

minosdatagpvmO1
minosgpvmO03
minosgpvmO04
minosgpvmO05
minosgpvmO06
minosgpvmO07

What we need from each group/experiment is a reply in the form:
"Ed, please reinstall the following systems with SL7 on July 15th: {list of systems here} "

| think this process will be too chaotic to track with tickets,
so this is the most expedient way to do this.

Please note also, that there is a 12 hour dCache downtime planned for July 15th,
which suggests this may be a good time to do these upgrades,
as all these systems are likely to be degraded or offline during this time.

If you have any questions, please let me know.
Thanks much,

Edward Simmonds
SCF/SSI

#8 - 07/08/2020 05:06 PM - Arthur Kreymer
Outline of possible actions discussed at the Monday 07/06 MAAM :

0) review of letter from Ed
1) listed systems, roles, support,
2) Proposed 7/15 migration
minos—-data to SL7
Later shutdown of
minos-slf6
minos-nearline
minostestgpvmO1l
3) 2020 plan for Oct +
Singularity container
Adam - max for build
grid for running on OSG
Alex — NOVA using this for scidaqg, etc ( or Docker ? )

Consensus seems to be this is only way forward
Work can start in a couple of weeks
Arthur will resume coordination then.

#9 - 07/08/2020 05:08 PM - Arthur Kreymer
My reply email to Ed sent 07/07

Ed, please reinstall the following systems with SL7 on July 15th:
minosdatagpvmO01

Please preserve the /opt private directories and content
/opt/mindata

/opt/minos

/opt/minospro

/opt/minosraw

There is not enough time to contact the users and get their crontab
entries preserved.

So for reference, please place a copy of all minosdatagpvm01 non-root
crontab entries

into private directory /opt/minndata/crontab

By the end of July Minos expects to request the shutdown of 3 of the 8
Minos servers.

We will make a separate RITM for this, after the Jul 15 SL7 upgrade of
minosdatagpvmO1.

#10 - 07/08/2020 05:09 PM - Arthur Kreymer

Glenn Cooper's reply , 07/08

Hi Arthur,

We will do what we can, but...

--- The announcement was sent Thursday morning, almost two weeks before the downtime. Why is that not enough time to contact users? We would
very much prefer to leave user files, including crontabs, up to them. Among other reasons, this is a chance to clean out old cron entries that are no

longer useful.

--- Note that the /opt directories typically have only a file or two (or none). Again, we definitely encourage experiments to keep track of their own data,

04/22/2021 3/7



including these files.

--- Good to hear about plans to shut down some nodes; thanks. | suggest opening the ticket before the downtime, so we don't waste time upgrading
those nodes to SL7.

Thanks,
Glenn

#11 - 07/08/2020 05:27 PM - Arthur Kreymer
My reply to Glenn :

or reference, see our System Upgrade checklist at
https://cdcvs.fnal.gov/redmine/projects/admin/wiki/Upgrades

Only minosdatagpvmO01 is being upgraded Jul 15, and | think it is ready to go.
The grafana monitoring plots show very little activity.

Please remember to restore the sudoers configuration.
I think userkill is all we have, and it is rarely used.

There are probably no regular user crontab entries.
Recent prochistory files seem to show just my interactive logins.
https://minos.fnal.gov/data/computing/dh/procsum/minosdatagpvm01/

| have snapshotted the content of the /opt/min* directories.
Your group will have to recreate the directories after the upgrade.

| suspect that nobody is using kcron on this system,
so it may not be worth preserving user kcron files.
Users can rerun kcroninit if they need to.

#12 - 07/09/2020 10:10 PM - Arthur Kreymer

Per a conversation with Glenn Cooper, | sent this email to all parties :

Here is a little more background on the Minos request to upgrade
just minosdatagpvmO1 to SL7 on July 15.

This issue was discussed at the Minos All Analysis Meeting July 6,
in response to the SCF/SSI email received July 2.

Minos cannot presently run existing code under SL7.
Minos selects SL6 Grid resources.

The Minos hope for running past Nov 2020, when SL6 becomes unavailable,
has been to build and run code using appropriate Singularity containers.

Work on this has been deferred due to preparation of an important paper,
and preparation for the Nu 2020 meeting now concluded.

There is a bare handful of people actively working on Minos code development,
as the experiment moves toward a Data Preservation phase.

The specific plan for existing Fermilab servers is something like this,
in the order in which action is likely to be taken :

minosdatagpvmO1 (minos-data) SLF6 to SL7 upgrade July 15

minos-nearline - shutdown request likely in August

minostestgpvmO01 - shutdown request likely in August

minosgpvmO04 (minos60) - upgrade likely in September, after tests of Singularity containers
minosgpvmO05 (minos61) - upgrade likely in September, after tests of Singularity containers
minosgpvmO06 (minos62) - upgrade likely in September, after tests of Singularity containers
minosgpvmO07 (minos63) - upgrade likely in September, after tests of Singularity containers
minosgpvmO03 (minos-slf6) - shut down as late as possible.

— e~ —~ —

We will likely want two SL6 Singularity containers:
SLF6FULL - for building new code from source
SLFBLITE - for running on the Grid

Ideally these would be provided at Fermilab for use by all experiments.

Docker containers are already used to run on the grid, but may go away past Nov.
We hope these can be cloned to Singularity containers which run in user space.
#13 - 08/26/2020 11:30 AM - Arthur Kreymer
- % Done changed from 10 to 20

| received the following email today Aug 26

I intend to ask that

minos-nearline be shut down

minosgpvmO03 aka minos-sIf6 get a security exemption and be placed behind a firewall

minosgpvmO04-07 not be upgraded yet

minossamgpvmO03 be upgraded in coordination with the SAM support group.

15.20.3305.032; Wed, 26 Aug 2020 15:00:25 +0000

From: Edward A Simmonds <esimm@fnal.gov>

To: Arthur E Kreymer <kreymer@fnal.gov>

CC: Brandon White <bjwhite@fnal.gov>, Seth T Graham <sether@fnal.gov>, Glenn Cooper <gcooper@fnal.gov>
Subject: SL7 installs for minos nodes

Art,

We need to reinstall the following with SL7, or retire them:

minos-nearline

minosgpvmO03

minosgpvmO04

minosgpvmO05

minosgpvmO06

minosgpvmO07

minossamgpvmO1

You know the routine. We installed minostestgpvm01 a few months ago for people to test SL7, so hopefully someone has been looking at that.
These are full installs, not upgrades, so any data that anyone cares about should be copied off these nodes in advance.

We cannot wait until the last minute, as we have far too many systems to reinstall, so this has to happen. We're going to upgrade these on Tuesday,
September 15th. Brandon White, cc'd, will have to deal with the 'sam' node after the install.

Your contact for this work will be Seth, who is also cc'd.
Thanks,
Ed

#14 - 08/31/2020 07:29 AM - Arthur Kreymer

- Tracker changed from Milestone to Support

#15 - 08/31/2020 07:29 AM - Arthur Kreymer

- Assignee changed from Thomas Carroll to Arthur Kreymer

#16 - 08/31/2020 07:30 AM - Arthur Kreymer
- Priority changed from Normal to High

#17 - 08/31/2020 07:30 AM - Arthur Kreymer

- Status changed from Accepted to Assigned

#18 - 08/31/2020 07:45 AM - Arthur Kreymer
- % Done changed from 20 to 30

- Status changed from Assigned to Work in progress

| have requested the shutdown of minos-nearline, which has been idle since July 21.
RITM1013340 08/31 shut down minos-nearline

minos-nearline was a VM identical to minos60-03, with no local storage.

The system formerly ran OM processes.

#19 - 08/31/2020 08:55 AM - Arthur Kreymer
- Due date changed from 06/01/2020 to 11/01/2020

Updated the Due date of this Issue to Nov 1, 2020.

#20 - 10/15/2020 04:23 PM - Arthur Kreymer

The reinstall of minos60-63 (minosgpvm04-07) scheduled for Sep 16 was deferred by the SCF group doing the work.

They were busy with other work that day.
To be rescheduled.

#21 - 10/15/2020 04:23 PM - Arthur Kreymer

From: Seth T Graham <sether@fnal.gov>
To: Arthur Kreymer <kreymerfnal@gmail.com>
Subject: Re: remaining minosgpvm nodes

The October monthly downtime is coming up on the 21st..
can | schedule the reinstall of minosgpvm04-07 to SL7 then?

#22 - 10/15/2020 04:31 PM - Arthur Kreymer

From: Arthur Kreymer <kreymerfnal@gmail.com>
To: Seth T Graham <sether@fnal.gov>
Subject: Re: remaining minosgpvm nodes

Yes, SL7 installs can proceed on Oct 21 for

minosgpvmO04 aka minos60
minosgpvmO05 aka minos61
minosgpvmO06 aka minos62
minosgpvmO07 aka minos63

We will continue to run SLF6 on
minosgpvmO03 aka minos-slIfé until the November deadline.

| will mention this at the weekly analysis meeting next Monday 10/19.

#23 - 10/21/2020 12:25 PM - Arthur Kreymer
- % Done changed from 30 to 70

From: Seth T Graham <sether@fnal.gov>

To: Arthur Kreymer <kreymerfnal@gmail.com>
Subject: Re: remaining minosgpvm nodes
Date: Wed, 21 Oct 2020 15:14:42 +0000

minosgpvmO04-07 are now SL7 systems and back online.
Take a look and let me know if anything needs fixed.

#24 - 11/30/2020 02:07 PM - Arthur Kreymer

From: Edward A Simmonds <esimm@fnal.gov>

To: Arthur E Kreymer <kreymer@fnal.gov>

CC: Seth T Graham <sether@fnal.gov>, Glenn Cooper <gcooper@fnal.gov>
Subject: minosgpvmO03 upgrade to SL7

Date: Mon, 30 Nov 2020 19:38:56 +0000

Art,

Can we upgrade minosgpvm03 now?

Thanks,

Ed

#25 - 11/30/2020 02:18 PM - Arthur Kreymer

- % Done changed from 70 to 90

Minos has moved its work to the other SLF7 systems.

You may shut down minosgpvm03 (minos-slf6) when you like.

Please keep the image available until the Dec 8 SLF6 network blocking date,
just in case an unexpected issue arises.
This will complete the Minos SLF6 to SL7 migration.

You may also shut down minostestgpvm01, the special test SL7 system.
It has been idle since Oct 5.

#26 - 11/30/2020 02:21 PM - Arthur Kreymer
- Due date changed from 11/01/2020 to 12/08/2020

#27 - 12/23/2020 10:48 AM - Arthur Kreymer
- % Done changed from 90 to 100
- Status changed from Work in progress to Resolved

- Due date changed from 12/08/2020 to 12/31/2020

Resolved this Issue.

Work was completed Nov 30, ahead of the Dec 8 due date.
Adjust the Due date to 12/31, to avoid flagging this Issue as overdue
